---
description: Notes
---

# Witness Nodes

./witness\_node --replay-blockchain



**There is a mismatch between the blockchain contents on 229 and 158**



### Witness startup tasks

{% embed url="https://peerplays.atlassian.net/wiki/spaces/PROJECTS/pages/61276172/TestNet+Creation+Startup+Tasks" %}







Synchonize with bookie sports, from mint





Elizabeth:Witnesses 5-8: 54.93.116.158 in local 172-31-46-207

Elizabeth: Witnesses 9-11: 52.62.37.137 172-31-10-102&#x20;

99.79.98.229 node, where chain is running and mining.

node: ws://ec2-99-79-98-229.ca-central-1.compute.amazonaws.com:8090\
ubuntu@35.183.41.242



python3 cli.py api --host 0.0.0.0 --port 8010 --scheduler

Python3 cli.py worker\
\


####

#### ~~Elizabeth seed witness is dead, not starting~~

####

#### Week starting on 6th of April Monday, 2020

1. Add dummy eventgroup and participants in bookie sports for managing participants None error
2. &#x20;Setup MINT on 52.62.37.137
3. Associate accounts with witnesses promptly. Discuss in the channel
4. Try proposing from different nodes
5. See pending approval in MINT
6. See getting approved upon incidents
7. See account balance changes
8. See multiple proposal attempts and raise around!





Search for blocks with transaction





1. Start a node from zero and see how long does it take to synchronise
2. What happens when multiple nodes start producing blocks?
3. Is seed node supposed to be the same for all witnesses for a chain?
4. Witness accounts configuration.
5. Wallets and balances
6. Public WIF keys in config







~~Wrong conf on peerplays on 52.62.37.137~~

```
from peerplays.blockchain import Blockchain
blockchain = Blockchain()
for op in Blockchain.ops():
print(op)
```

Didn't work

